-- localization.lua
-- Localization file for ABR-Revived

-- So far, I have localized the in-game terms, to allow the mod to work in other language versions.
-- I have not translated the user interface, status messages, or error messages.
-- Feel free to contact me if you would like to help with this.

ABRR_LOCALE = {};

-- -- localized spell/buff names
-- priest
ABRR_LOCALE.innerFire = GetSpellInfo(588);
ABRR_LOCALE.innerWill = GetSpellInfo(73413);
ABRR_LOCALE.powerFortitude = GetSpellInfo(21562);
ABRR_LOCALE.shadowform = GetSpellInfo(15473);
ABRR_LOCALE.chakraAoE = GetSpellInfo(81206);
ABRR_LOCALE.chakraSingle = GetSpellInfo(81208);
ABRR_LOCALE.chakraDPS = GetSpellInfo(81209);
ABRR_LOCALE.chakra = GetSpellInfo(126172);
-- mage
ABRR_LOCALE.mageArmor = GetSpellInfo(6117);
ABRR_LOCALE.frostArmor = GetSpellInfo(7302);
ABRR_LOCALE.moltenArmor = GetSpellInfo(30482);
ABRR_LOCALE.arcaneBrilliance = GetSpellInfo(1459);
ABRR_LOCALE.dalaranBrilliance = GetSpellInfo(61316);
-- druid
ABRR_LOCALE.markWild = GetSpellInfo(1126);
ABRR_LOCALE.symbiosis = GetSpellInfo(110309);
-- paladin
ABRR_LOCALE.blessingMight = GetSpellInfo(19740);
ABRR_LOCALE.blessingKings = GetSpellInfo(20217);
-- monk
ABRR_LOCALE.legacyEmperor = GetSpellInfo(115921);
ABRR_LOCALE.legacyWhiteTiger = GetSpellInfo(116781);
ABRR_LOCALE.healStance = GetSpellInfo(115070);
ABRR_LOCALE.tankStance = GetSpellInfo(115069);
ABRR_LOCALE.dpsStance = GetSpellInfo(103985);
-- warrior
ABRR_LOCALE.stanceBattle17 = GetSpellInfo(2457);
ABRR_LOCALE.stanceBerserk19 = GetSpellInfo(2458);
ABRR_LOCALE.stanceDef18 = GetSpellInfo(71);
-- warlock
ABRR_LOCALE.darkIntent = GetSpellInfo(109773);
ABRR_LOCALE.sacrifice = GetSpellInfo(108503);
-- death knight
ABRR_LOCALE.bloodPresence = GetSpellInfo(48263);
ABRR_LOCALE.unholyPresence = GetSpellInfo(48265);
ABRR_LOCALE.frostPresence = GetSpellInfo(48266);
--shaman
ABRR_LOCALE.lightningShield = GetSpellInfo(324);
ABRR_LOCALE.waterShield = GetSpellInfo(52127);
ABRR_LOCALE.earthShield = GetSpellInfo(974);
ABRR_LOCALE.ghostWolf = GetSpellInfo(2645);

ABRR_LOCALE.flametongueWeapon = GetSpellInfo(8024);
ABRR_LOCALE.earthlivingWeapon = GetSpellInfo(51730);
ABRR_LOCALE.windfuryWeapon = GetSpellInfo(8232);
ABRR_LOCALE.frostbrandWeapon = GetSpellInfo(8033);
ABRR_LOCALE.maelstromWeapon = GetSpellInfo(51530);
ABRR_LOCALE.rockbiterWeapon = GetSpellInfo(8017);
-- hunter
ABRR_LOCALE.aspectHawk = GetSpellInfo(13165);
ABRR_LOCALE.aspectCheetah = GetSpellInfo(5118);
ABRR_LOCALE.aspectPack = GetSpellInfo(13159);
ABRR_LOCALE.aspectIronHawk = GetSpellInfo(109260);
-- rogue
ABRR_LOCALE.mindPoison = GetSpellInfo(5761);
ABRR_LOCALE.slowPoison = GetSpellInfo(3408);
ABRR_LOCALE.msPoison = GetSpellInfo(8679);
ABRR_LOCALE.deadlyPoison = GetSpellInfo(2823);


if (GetLocale() == "frFR") then
	-- French localization
	ABRR_LOCALE.regexAspect = "Aspect d.*";
	ABRR_LOCALE.regexBlessing = "B\195\169n\195\169diction d.*";
	ABRR_LOCALE.regexAura = "Aura de.*";
	ABRR_LOCALE.regexSeal = "Sceau d.*";
	ABRR_LOCALE.itemTypeWeapon = "Weapon";
elseif (GetLocale() == "deDE") then
	-- German localization
	ABRR_LOCALE.regexAspect = "Aspekt de.*";
	ABRR_LOCALE.regexBlessing = ".*Segen de.*";
	ABRR_LOCALE.regexAura = "Aura de.*";
	ABRR_LOCALE.regexSeal = "Siegel de.*";
	ABRR_LOCALE.itemTypeWeapon = "Waffe";
elseif (GetLocale() == "esES" or GetLocale() == "esMX") then
	-- Spanish localization
	ABRR_LOCALE.regexAspect = "Aspecto.*";
	ABRR_LOCALE.regexBlessing = "Bendici\195\179n de.*";
	ABRR_LOCALE.regexAura = "Aura de.*";
	ABRR_LOCALE.regexSeal = "Sello de.*";
	ABRR_LOCALE.itemTypeWeapon = "Weapon";
else
	-- English by default
	ABRR_LOCALE.regexAspect = "Aspect of the .*";
	ABRR_LOCALE.regexBlessing = ".*Blessing of .*";
	ABRR_LOCALE.regexAura = ".* Aura";
	ABRR_LOCALE.regexSeal = "Seal of .*";
	ABRR_LOCALE.itemTypeWeapon = "Weapon";
end
